RDKit: ForceFields::MMFF::VdWContrib Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ForceFields::MMFF::VdWContrib Class Reference

the van der Waals term for MMFF More...

`#include <Nonbonded.h>`

Inheritance diagram for ForceFields::MMFF::VdWContrib:

## Public Member Functions
| VdWContrib ()
| VdWContrib (ForceField *owner)
void | addTerm (unsigned int idx1, unsigned int idx2, const MMFFVdWRijstarEps *mmffVdWConstants)
| Track a new VdW pair.
double | getEnergy (double *pos) const override
| returns our contribution to the energy of a position
void | getGrad (double *pos, double *grad) const override
| calculates our contribution to the gradients of a position
VdWContrib * | copy () const override
| return a copy
Public Member Functions inherited from ForceFields::ForceFieldContrib
| ForceFieldContrib ()
| ForceFieldContrib (ForceFields::ForceField *owner)
virtual | ~ForceFieldContrib ()

## Additional Inherited Members
Protected Attributes inherited from ForceFields::ForceFieldContrib
ForceField * | dp_forceField {nullptr}
| our owning ForceField

## Detailed Description

the van der Waals term for MMFF

Definition at line 55 of file MMFF/Nonbonded.h.

## Constructor & Destructor Documentation

## ◆ VdWContrib() [1/2]

ForceFields::MMFF::VdWContrib::VdWContrib | ( |  | ) |
| inline

Definition at line 57 of file MMFF/Nonbonded.h.

Referenced by copy().

## ◆ VdWContrib() [2/2]

ForceFields::MMFF::VdWContrib::VdWContrib | ( | ForceField * | owner | ) |

References ForceFields::ForceFieldContrib::ForceField.

## Member Function Documentation

## ◆ addTerm()

void ForceFields::MMFF::VdWContrib::addTerm | ( | unsigned int | idx1,
|  | unsigned int | idx2,
|  | const MMFFVdWRijstarEps * | mmffVdWConstants )

Track a new VdW pair.

## ◆ copy()

VdWContrib * ForceFields::MMFF::VdWContrib::copy | ( |  | ) | const
| inlineoverridevirtual

return a copy

Implements ForceFields::ForceFieldContrib.

Definition at line 64 of file MMFF/Nonbonded.h.

References VdWContrib().

## ◆ getEnergy()

double ForceFields::MMFF::VdWContrib::getEnergy | ( | double * | pos | ) | const
| overridevirtual

returns our contribution to the energy of a position

Implements ForceFields::ForceFieldContrib.

## ◆ getGrad()

void ForceFields::MMFF::VdWContrib::getGrad | ( | double * | pos,
|  | double * | grad ) const
| overridevirtual

calculates our contribution to the gradients of a position

Implements ForceFields::ForceFieldContrib.

The documentation for this class was generated from the following file:

- MMFF/Nonbonded.h